Bug 1888318 - Neutron ports created for hostNetworking pods
Summary: Neutron ports created for hostNetworking pods
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.6.z
Assignee: Michał Dulko
QA Contact: GenadiC
URL:
Whiteboard:
Depends On: 1886871
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-14 14:50 UTC by OpenShift BugZilla Robot
Modified: 2020-11-09 15:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-09 15:50:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 374 0 None closed [release-4.6] Bug 1888318: Fix is_host_network() 2020-11-08 05:54:38 UTC
Red Hat Product Errata RHBA-2020:4339 0 None None None 2020-11-09 15:51:22 UTC

Comment 3 rlobillo 2020-10-28 16:01:02 UTC
Verified on OCP4.6.0-0.nightly-2020-10-28-001707 over OSP16.1 with OVN-octavia (RHOS-16.1-RHEL-8-20201007.n.0)

Fix is in:

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2020-10-28-001707   True        False         5h31m   Cluster version is 4.6.0-0.nightly-2020-10-28-001707

$ oc get pods -n openshift-kuryr
NAME                                READY   STATUS    RESTARTS   AGE
kuryr-cni-962bd                     1/1     Running   1          6h
kuryr-cni-lfkbm                     1/1     Running   4          5h44m
kuryr-cni-scr8g                     1/1     Running   1          6h
kuryr-cni-t5hzc                     1/1     Running   1          6h
kuryr-cni-x7bch                     1/1     Running   3          5h39m
kuryr-cni-x9b42                     1/1     Running   3          5h40m
kuryr-controller-598d4bf657-6gs9g   1/1     Running   5          6h

$ oc rsh -n openshift-kuryr kuryr-controller-598d4bf657-6gs9g head -83 /usr/lib/python3.6/site-packages/kuryr_kubernetes/controller/drivers/utils.py | tail -1
    return pod['spec'].get('hostNetwork', False)

####

Unexpected ports are not created anymore:

$ oc get pods -A -o wide | grep 10.196 | awk '{print $2}' > host-networking-pods 
$ oc get kp -A | grep -f host-networking-pods | wc -l
0

Comment 5 errata-xmlrpc 2020-11-09 15:50:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.3 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4339


Note You need to log in before you can comment on or make changes to this bug.